Bug 243429 - devel/py-llvmlite: update to 0.31.0, py-numba to 0.47
Summary: devel/py-llvmlite: update to 0.31.0, py-numba to 0.47
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-18 13:20 UTC by Max Brazhnikov
Modified: 2020-01-25 03:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (dave)


Attachments
update (4.80 KB, patch)
2020-01-18 13:20 UTC, Max Brazhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Brazhnikov freebsd_committer 2020-01-18 13:20:15 UTC
Created attachment 210844 [details]
update

Update ports to the latest versions
devel/py-llvmlite:
Patch to respect CXX and friends
Clean up port Makefile
Comment 1 David Kalliecharan 2020-01-24 17:15:53 UTC
Looks good, I don't have freeBSD system to test as of late.
Comment 2 commit-hook freebsd_committer 2020-01-24 20:57:04 UTC
A commit references this bug:

Author: makc
Date: Fri Jan 24 20:56:54 UTC 2020
New revision: 523986
URL: https://svnweb.freebsd.org/changeset/ports/523986

Log:
  devel/py-llvmlite:
  - Update to 0.31.0, which supports LLVM versions 7 and 8
  - Patch to respect CXX and friends. Apparently, this was the reason for failure
    on powerpc64, so remove BROKEN
  - Clean up port Makefile

  PR:		243429
  Approved by:	David Kalliecharan (maintainer)

Changes:
  head/devel/py-llvmlite/Makefile
  head/devel/py-llvmlite/distinfo
  head/devel/py-llvmlite/files/patch-ffi-Makefile.freebsd
Comment 3 commit-hook freebsd_committer 2020-01-24 20:58:05 UTC
A commit references this bug:

Author: makc
Date: Fri Jan 24 20:57:10 UTC 2020
New revision: 523987
URL: https://svnweb.freebsd.org/changeset/ports/523987

Log:
  devel/py-numba:
  - Update to 0.47.0
  - Adjust minimal version of required dependencies

  PR:		243429
  Approved by:	David Kalliecharan (maintainer)

Changes:
  head/devel/py-numba/Makefile
  head/devel/py-numba/distinfo